/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: format.c 131 2004-12-04 20:36:04Z picard $
 *
 * BetaPlayer Core
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#include "stdafx.h"

const datadef FormatParams[] = 
{
	{ FORMAT_CLASS,			TYPE_CLASS },
	{ FORMAT_EXTS,			TYPE_STRING, DF_SETUP|DF_RDONLY|DF_HIDDEN },
	{ FORMAT_INPUT,			TYPE_NODE, DF_INPUT|DF_HIDDEN, STREAM_CLASS },
	{ FORMAT_OUTPUT,		TYPE_NODE, DF_HIDDEN, STREAM_CLASS },
	{ FORMAT_DURATION,		TYPE_TICK },
	{ FORMAT_FILEPOS,		TYPE_INT, DF_HIDDEN },
	{ FORMAT_FILESIZE,		TYPE_INT, DF_KBYTE },
	{ FORMAT_COMMENT,		TYPE_PIN, DF_OUTPUT, PACKET_COMMENT },

	DATADEF_END
};

const datadef FormatMediaParams[] = 
{
	{ FORMAT_MEDIA_CLASS,	TYPE_CLASS },

	DATADEF_END
};

const datadef FormatPlayListParams[] = 
{
	{ FORMAT_PLAYLIST_CLASS,TYPE_CLASS },

	DATADEF_END
};
