/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: video.c 131 2004-12-04 20:36:04Z picard $
 *
 * BetaPlayer Core
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#include "stdafx.h"

const datadef VOutputParams[] = 
{
	{ VOUT_CLASS,		TYPE_CLASS },
	{ VOUT_PRIMARY,		TYPE_BOOL, DF_SETUP | DF_RDONLY | DF_HIDDEN },
	{ VOUT_OVERLAY,		TYPE_BOOL, DF_SETUP | DF_RDONLY | DF_HIDDEN },
	{ VOUT_ORIENTATION, TYPE_INT, DF_SETUP | DF_RDONLY | DF_HIDDEN },
	{ VOUT_INPUT,		TYPE_PACKET, DF_INPUT, PACKET_VIDEO },
	{ VOUT_OUTPUT,		TYPE_PIN, DF_OUTPUT | DF_RDONLY, PACKET_VIDEO },
	{ VOUT_ACCEL_IDCT,	TYPE_NODE, DF_SETUP | DF_RDONLY | DF_HIDDEN, IDCT_CLASS },
	{ VOUT_FX,			TYPE_BLITFX, DF_HIDDEN },
	{ VOUT_WND,			TYPE_INT, DF_HIDDEN },
	{ VOUT_VIEWPORT,	TYPE_RECT, DF_HIDDEN },
	{ VOUT_OUTPUTRECT,	TYPE_RECT, DF_HIDDEN | DF_RDONLY },
	{ VOUT_PLAY,		TYPE_BOOL, DF_HIDDEN },
	{ VOUT_VISIBLE,		TYPE_BOOL, DF_HIDDEN },
	{ VOUT_CLIPPING,	TYPE_BOOL, DF_HIDDEN },
	{ VOUT_COLORKEY,	TYPE_RGB, DF_HIDDEN },
	{ VOUT_DIRTY,		TYPE_BOOL, DF_HIDDEN },
	{ VOUT_ASPECT,		TYPE_FRACTION, DF_HIDDEN },
	{ VOUT_CAPS,		TYPE_INT, DF_HIDDEN },
	{ VOUT_AUTOPREROTATE,TYPE_BOOL, DF_HIDDEN },
	{ VOUT_UPDATING,	TYPE_BOOL, DF_HIDDEN },

	DATADEF_END
};

