/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: stdafx.c 11 2004-07-15 13:46:20Z picard $
 *
 * BetaPlayer A52 plugin
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#include "../common/common.h"
#include "a52.h"

#ifdef A52_EXPORTS

LIBGCC
LIBGCCFLOAT

int DLLRegister(int Version)
{
	if (Version != NODE_VERSION) 
		return ERR_NOT_COMPATIBLE;
	A52_Init();
	return ERR_NONE;
}

void DLLUnRegister()
{
	A52_Done();
}

//void DLLTest() {}

#endif
