@echo off
set VER=%1
if "%1"=="" set VER=UNSTABLE
set NAME=betaplayer

set EVC="c:\Program Files\Microsoft eMbedded Tools\Common\EVC\Bin\EVC.EXE"
set CABWIZ="c:\Program Files\Microsoft eMbedded Tools\EVB\CABWIZ.EXE"
set CABWIZSP="c:\Windows CE Tools\wce300\Smartphone 2002\tools\CABWIZSP.EXE"

echo T("%VER%") >version
tar -czvf language.tgz lang/lang*.txt

%EVC% %NAME%.vcw /make "setup_ce3 - Win32 (WCE ARM) Release GCC" /CEConfig="Pocket PC" /rebuild /out arm.log
%cabwiz% %NAME%.inf /cpu ARM_CE2 
%cabwiz% %NAME%.inf /cpu ARM_CE3
%cabwiz% %NAME%.inf /cpu ARM720_CE3

%EVC% %NAME%.vcw /make "setup_ce3 - Win32 (WCE MIPS) Release" /CEConfig="Pocket PC" /rebuild /out mips.log
%cabwiz% %NAME%.inf /cpu MIPS_CE2
%cabwiz% %NAME%.inf /cpu MIPS_CE3

%EVC% %NAME%.vcw /make "setup_ce3 - Win32 (WCE SH3) Release" /CEConfig="Pocket PC" /rebuild /out sh3.log
%cabwiz% %NAME%.inf /cpu SH3_CE2
%cabwiz% %NAME%.inf /cpu SH3_CE3

%EVC% %NAME%.vcw /make "setup_ce3 - Win32 (WCE ARM) Release GCC" /CEConfig="Smartphone 2002" /rebuild /out armsp.log
%cabwizsp% %NAME%.inf /cpu ARM_SP

ezsetup -l english -i setup\%NAME%.ini -r setup\info.txt -e copying.txt -o %NAME%.setup.%ver%.exe
ezsetup -l english -i setup\%NAME%sp.ini -r setup\info.txt -e copying.txt -o %NAME%.smartphone.%ver%.exe

upx --best %NAME%.setup.%ver%.exe
zip -j %NAME%.arm.cabs.%ver%.zip %NAME%.arm_ce2.cab %NAME%.arm_ce3.cab %NAME%.arm_sp.cab %NAME%.arm720_ce3.cab setup\readme.txt
zip -j %NAME%.mips.cabs.%ver%.zip %NAME%.mips_ce2.cab %NAME%.mips_ce3.cab setup\readme.txt
zip -j %NAME%.sh3.cabs.%ver%.zip %NAME%.sh3_ce2.cab %NAME%.sh3_ce3.cab setup\readme.txt

del *.tgz >nul
del *.dat >nul
del *.cab >nul
                                        