/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: mjpeg.h 11 2004-07-15 13:46:20Z picard $
 *
 * BetaPlayer MJPEG plugin
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/
 
#ifndef __MJPEG_H
#define __MJPEG_H

#define MJPEG_ID		FOURCC('M','J','P','G')

#define MJPEG_INPUT		0x100
#define MJPEG_IDCT		0x101

#define MJPEG_NOT_SUPPORTED	0x200

extern void MJPEG_Init();
extern void MJPEG_Done();

#endif
