/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: avi.h 3 2004-07-13 11:26:13Z picard $
 *
 * BetaPlayer MPEG4AAC plugin
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#ifndef __MPEG4AAC_H
#define __MPEG4AAC_H

#define AUDIOFMT_AAC		0xAAC0
#define AUDIOFMT_AAC_3VIX	0x00FF

#define AAC_ID		FOURCC('A','A','C','_')
#define FAAD_ID		FOURCC('F','A','A','D')
#define MP4_ID		FOURCC('M','P','4','F')

#define MP4_NOT_SUPPORTED	0x200

extern void AAC_Init();
extern void AAC_Done();

extern void FAAD_Init(int Id,int Pri);
extern void FAAD_Done();

extern void MP4_Init();
extern void MP4_Done();

#endif