/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: stdafx.c 115 2004-11-27 12:55:48Z picard $
 *
 * BetaPlayer MPEG4AAC plugin
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#include "../common/common.h"
#include "mpeg4aac.h"

#ifdef MPEG4AAC_EXPORTS

LIBGCC
LIBGCCFLOAT

int DLLRegister(int Version)
{
	if (Version != NODE_VERSION) 
		return ERR_NOT_COMPATIBLE;
	AAC_Init();
	MP4_Init();
	FAAD_Init(FAAD_ID,PRI_DEFAULT);
	return ERR_NONE;
}

void DLLUnRegister()
{
	AAC_Done();
	MP4_Done();
	FAAD_Done();
}

void DLLTest() {}

#endif
