/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: stdafx.c 131 2004-12-04 20:36:04Z picard $
 *
 * BetaPlayer Overlay plugin
 * Copyright (c) 2004 Gabor Kovacs
 *
 ****************************************************************************/

#include "stdafx.h"

#ifdef OVERLAY_EXPORTS

LIBGCC

int DLLRegister(int Version)
{
	if (Version != NODE_VERSION) 
		return ERR_NOT_COMPATIBLE;
	DDraw_Init();
	AHI_Init();
	RAW_Init();
	Direct_Init(); // important to be before GAPI
	GAPI_Init();
	GDI_Init();
	FlyTV_Init();
	return ERR_NONE;
}

void DLLUnRegister()
{
	DDraw_Done();
	AHI_Done();
	RAW_Done();
	Direct_Done();
	GAPI_Done();
	GDI_Done();
	FlyTV_Done();
}

//void DLLTest() {}

#endif
